Subject: problem with bash command line
From: "Kris Thielemans" <[email-masked]>
To: "Gnuwin" <[email-masked]>
Cc: "Kris Thielemans" <[email-masked]>
Date: Tue, 7 Sep 2004 18:03:41 +0100

Hi

I've just discovered that the command line is not always displayed
correctly. This happens both in the 'normal' window you get when clicking on
the cygwin icon, or in an xterm. I first thought it was related to the
setting of PS1. However, I tried to put PS1 the same on a debian system, and
there is no problem there. Also, the same happens after
PS1='$ '

Here is how to reproduce it:

startxwin.bat and click on the xterm with the bash window. Or click on your
cygwin icon. I didn't set PS1 or so, so the window just looks like
--------------------------
kris@petnt1 ~
$
--------------------------

Now type a non-existing command and put it in the background. My display
looks like

--------------------------
kris@petnt1 ~
$ b&
[1] 269

kris@petnt1 ~
$ bash: b: command not found
--------------------------

Note that the prompt *preceeds* the bash error message.

Now type a few characters (at least 4). They will be displayed in the first
column just below "bash :".

--------------------------
kris@petnt1 ~
$ b&
[1] 269

kris@petnt1 ~
$ bash: b: command not found
Here is some text
--------------------------

Then press Ctrl-A to go to the start of the line. The prompt will overwrite
the first 2 characters of what you just typed.

--------------------------
kris@petnt1 ~
$ b&
[1] 269

kris@petnt1 ~
$ bash: b: command not found
$ re is some text
--------------------------
Then typing again will shift the remaining characters, but still not display
the ones that were just erased. Only a Ctrl-L saves the day.

Clearly the bash prompt should be displayed *after* the error message.

This happens on my NT 4.0 sp6 system with a fresh cygwin, and on my XP sp1
system with a cygwin release that is slightly older (cygwin.dll 1.5.10-3).
Both have GNU bash, version 2.05b.0(1)-release (i686-pc-cygwin).

(sorry for such a long message for such a small thing).

(please reply explictly to me as I'm reading this mailing list via the web)

Thanks!

Kris Thielemans
Hammersmith Imanet (formerly IRSL)
Cyclotron Building
Hammersmith Hospital
Du Cane Road
London W12 ONN, United Kingdom

web site address: http://www.hammersmithimanet.com/~kris

-------------------------------------------
NOTE: My inbox has a SPAM filter that automatically throws away suspect
messages. If you expect a reply and don't get one, your message might have
been wrongly classified.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/